Go to index page.

# giftext

A program to dump (text only) general information about GIF file.

# Usage:

    giftext [-q] [-c] [-e] [-z] [-p] [-r] [-h] gif-file

If no gif-file is given, GifText will try to read a GIF file from stdin.

As giftext can generate huge amounts of data, ^C will kill it, but 'q' will stop only the printing (of one of -e, -z, -p), while file integrity will still be checked.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-c]
  Dumps the color maps.

[-e]
  Dumps encoded bytes - the pixels after compressed using LZ algorithm and chained to form bytes. This is the form the data is saved in the GIF file. Dumps in hex - 2 digit per byte.

[-z]
  Dumps the LZ codes of the image. Dumps in hex - 3 digits per code (as we are limited to 12 bits).

[-p]
  Dumps the pixels of the image. Dumps in hex - 2 digit per pixel (<=byte).

[-r]
  Dumps raw pixels as one byte per pixel. This option inhibits all other options and only the pixels are dumped. This option may be used to convert GIF files into raw data. Note: the color map can be extracted by gifclrmp utility. If more than one image is included in the file, all images will be dumped in order.

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber